# $Revision: 1.25 $, $Date: 2002/04/17 10:52:13 $
Summary:	LaTeX to html translator
Summary(pl):	Konwerter z LaTeX-a do HTML
Name:		latex2html
Version:	99.2beta8
Release:	2
License:	GPL
Group:		Applications/Publishing/TeX
Source0:	http://www.ctan.org/tex-archive/support/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-perl.patch
Patch1:		%{name}-tmp.patch
URL:		http://www.xray.mpe.mpg.de/mailing-lists/latex2html/
BuildRequires:	perl
BuildRequires:	tetex-latex
BuildRequires:	tetex-dvips
BuildRequires:	ghostscript
BuildRequires:	tetex-latex
BuildRequires:	tetex-dvips
BuildRequires:	netpbm-devel
BuildRequires:	netpbm-progs
BuildRequires:	giftrans
Requires:	perl >= 5.004
Requires:	ghostscript >= 4.03
Requires:	tetex-latex >= 0.4
Requires:	tetex-dvips >= 0.4
Requires:	ghostscript >= 4.03
Requires:	giftrans
Requires:	netpbm-progs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

%define		_libdir		%{_datadir}/%{name}

%description
Elaborate perl program to convert latex documents to html, using LaTeX
to process images and equations.

%description -l pl
Program w perlu do konwertowania dokumentw LaTeXa do formatu HTML.
Generuje strony html oraz odpowiednie obrazki.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
GS_LIB=.:%{_datadir}/ghostscript/lib:%{_datadir}/fonts/type1; export GS_LIB
%configure2_13 \
	--enable-images \
	--enable-pk \
	--enable-eps \
	--enable-gif \
	--enable-png \
	--enable-pipes \
	--enable-paths \
	--enable-wrapper \
	--with-perl=%{_bindir}/perl \
	--with-gs=%{_bindir}/gs \
	--with-rgb=%{_prefix}/X11R6/lib/X11/rgb.txt \
	--with-texpath=%{_datadir}/texmf/tex/latex/%{name} \
	--with-iconpath=/icons/l2h/

%{__make}

# build foilhtml modules
cd foilhtml && latex foilhtml.ins && cd ..

# build documentation
TEXINPUTS="../:../texinputs:$TEXINPUTS"; export TEXINPUTS
# FIXME
# make -C docs manual.dvi manual.html L2H="../latex2html"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/home/httpd/icons

cp -f cfgcache.pm cfgcache.pm.orig
cat << EOF >> cfgcache.pm

\$cfg{'BINDIR'} = q'$RPM_BUILD_ROOT%{_bindir}';
\$cfg{'LIBDIR'} = q'$RPM_BUILD_ROOT%{_libdir}';
\$cfg{'TEXPATH'} = q'$RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/latex2html';

EOF

%{__make} install
install  cfgcache.pm.orig $RPM_BUILD_ROOT%{_libdir}/cfgcache.pm
ln -sf	%{_libdir}/cweb2html/cweb2html $RPM_BUILD_ROOT%{_bindir}/cweb2html
ln -sf	%{_libdir}/icons $RPM_BUILD_ROOT/home/httpd/icons/l2h

rm -rf	$RPM_BUILD_ROOT%{_libdir}/{docs,example,foilhtml/foilhtml.log}

gzip -9nf BUGS FAQ LICENSE README TODO

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/texhash ]; then
	%{_bindir}/texhash
fi
if [ -x %{_bindir}/mktexlsr ]; then
	%{_bindir}/mktexlsr
fi

%files
%defattr(644,root,root,755)
%doc *gz
# FIXME
# %doc docs/manual/*.{gif,html,css}
%attr(-,  root,root) %{_libdir}
%attr(755,root,root) /home/httpd/icons/l2h
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: latex2html.spec,v $
Revision 1.25  2002/04/17 10:52:13  marcus
- rel.2.  (now builds on ppc)

Revision 1.24  2002/02/23 03:26:00  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/01/18 02:13:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/12/03 10:04:05  qboosh
- adapterized, cosmetics

Revision 1.20  2001/10/03 08:17:08  marcus
- configure2_13

Revision 1.19  2001/10/03 08:12:09  marcus
- added aclocal&autoconf

Revision 1.18  2001/05/30 07:24:20  kloczek
- added netpbm-devel to BuildRequires.

Revision 1.17  2001/03/25 16:35:33  misiek
99.2beta8

Revision 1.16  2001/03/25 14:05:21  misiek
libgr->netpbm

Revision 1.15  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.14  2000/06/09 07:23:18  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/05/31 12:43:06  kloczek
- spec adapterized.

Revision 1.12  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.10  1999/09/09 16:22:44  kloczek
- cosmetic changes,
- added gzipping %doc.

Revision 1.9  1999/09/09 14:04:01  misiek
- alpha13

Revision 1.8  1999/09/09 13:26:48  misiek
- updated

Revision 1.7  1999/09/07 15:46:47  misiek
- typo

Revision 1.6  1999/09/07 15:44:19  misiek
- updated (not working, yet)

Revision 1.5  1999/09/07 10:10:43  misiek
- updated

Revision 1.4  1999/07/20 12:48:08  wiget
- switch to rpm 3.0.2

Revision 1.3  1999/07/12 23:06:05  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Feb 10 1999 Arkadiusz Mikieiwcz <misiek@pld.org.pl>
- initial PLD release
